Bug 218087 - x11-themes/gtk-nodoka-engine: fedorahosted shut down; find a new MASTER_SITES
Summary: x11-themes/gtk-nodoka-engine: fedorahosted shut down; find a new MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Romain Tartière
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-24 19:28 UTC by Alan Somers
Modified: 2018-02-13 20:25 UTC (History)
4 users (show)

See Also:


Attachments
svn diff for x11-themes/gtk-nodoka-engine (1005 bytes, patch)
2017-03-24 20:36 UTC, Chris Hutchinson
no flags Details | Diff
svn diff for x11-themes/gtk-nodoka-engine -- version 2 (977 bytes, patch)
2017-03-24 21:30 UTC, Chris Hutchinson
portmaster: maintainer-approval? (romain)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2017-03-24 19:28:02 UTC

    
Comment 1 Chris Hutchinson 2017-03-24 20:36:00 UTC
Created attachment 181167 [details]
svn diff for x11-themes/gtk-nodoka-engine

fixes MASTER_SITES, WWW

Changes
changes MASTER_SITES
changes WWW

That's it!

--Chris
Comment 2 Chris Hutchinson 2017-03-24 21:30:57 UTC
Created attachment 181169 [details]
svn diff for x11-themes/gtk-nodoka-engine -- version 2

This patch obsoletes my previous patch.

Seems the shutting down of fedoraproject.org is actually a *move*
to:

https://pagure.io

So I changed the WWW in pkg-descr to point to the
source' new home. I have yet to discover how to
use their repository to accommodate our ports system --
too many *other* irons in the fire ATM. But it appears
GitHub like.

Anyway. This patch should be enough to keep this port working.

--Chris
Comment 3 w.schwarzenfeld freebsd_triage 2018-02-07 23:46:24 UTC
Feedback please!
Comment 4 Romain Tartière freebsd_committer 2018-02-08 08:17:56 UTC
Thanks for the reminder!

Just right now, the proposed mirror seems to be unreachable.  I do not know if it's a transient failure or if I had the same behavior when I tried it when the PR was opened…

I uploaded the distfile in my `~/public_distfiles` repository on freefall, which should allow using `MASTER_SITES=LOCAL/romain` when the mirror have a copy.

I'll try to check this in a few days:
  - If bsdforge.com is available and has the distfile, commit this PR as it;
  - If bsdforge.com is till unavailable, change the MASTER_SITES to use my local copy.
Comment 5 Romain Tartière freebsd_committer 2018-02-13 20:21:26 UTC
bsdforge.com is reachable again and has the expected file \o/
Comment 6 commit-hook freebsd_committer 2018-02-13 20:25:07 UTC
A commit references this bug:

Author: romain
Date: Tue Feb 13 20:24:45 UTC 2018
New revision: 461744
URL: https://svnweb.freebsd.org/changeset/ports/461744

Log:
  Update MASTER_SITES, WWW

  fedorahosted.org has vanished, so switch to another source.

  PR:		218087
  Submitted by:	asomers, portmaster@bsdforge.com

Changes:
  head/x11-themes/gtk-nodoka-engine/Makefile
  head/x11-themes/gtk-nodoka-engine/distinfo
  head/x11-themes/gtk-nodoka-engine/pkg-descr
Comment 7 Romain Tartière freebsd_committer 2018-02-13 20:25:42 UTC
Committed, thanks!